require "defines"

script.on_event(defines.events.on_entity_died, function(event)
	if string.match(event.entity.name,"[biter|spitter]$") then
		surface = event.entity.surface
		pos = event.entity.position
		
		if surface.count_entities_filtered{area = {{pos.x - 20, pos.y - 20}, {pos.x + 20, pos.y + 20}}, force= "player"} == 0 then
			items = surface.find_entities_filtered{area = {{pos.x - 2, pos.y - 2}, {pos.x + 2, pos.y + 2}}, name = "item-on-ground"}
			for i,v in pairs(items) do
				if string.match(v.stack.name,"alien%-artifact") then
					v.destroy()
				end
			end
		end
	end
end)